
Ryzom - Feature # 332

Status: Closed Priority: High
Author: kervala Category: NeL: General
Created: 02/05/2009 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: Add possibility to use static version of libpng
Description

For the moment, NeL is using libpng12.dll or libpng13.dll when it needs to read or write PNG files. We could add libpng as new
dependencies to NeL because it offers a lot of advantages over JPEG or TGA.

History
#1 - 02/05/2009 12:02 pm - vl
- Status changed from New to Validated
- Assignee set to kervala
- Priority changed from Normal to High

The goal is to make libpng as a needed library like libxml2 to compile nel

#2 - 02/05/2009 12:09 pm - kervala
- Status changed from Validated to Assigned

#3 - 02/05/2009 02:28 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r890.

#4 - 05/11/2009 08:25 pm - sfb
- Status changed from Resolved to Closed

#5 - 09/29/2010 09:28 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 11:51 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
